Package org.springframework.web.servlet.function

# Interface RouterFunctions.Visitor

Enclosing class:
  RouterFunctions

public static interface RouterFunctions.Visitor
Receives notifications from the logical structure of router functions.

## Method Summary

Modifier and Type
Method
Description
`void`
`attributes(Map<String,Object> attributes)`
Receive notification of a router function with attributes.
`void`
`endNested(RequestPredicate predicate)`
Receive notification of the end of a nested router function.
`void`
`resources(Function<ServerRequest,Optional<org.springframework.core.io.Resource>> lookupFunction)`
Receive notification of a resource router function.
`void`
`route(RequestPredicate predicate, HandlerFunction<?> handlerFunction)`
Receive notification of a standard predicated route to a handler function.
`void`
`startNested(RequestPredicate predicate)`
Receive notification of the beginning of a nested router function.
`void`
`unknown(RouterFunction<?> routerFunction)`
Receive notification of an unknown router function.

## Method Details

### startNested

void startNested(RequestPredicate predicate)
Receive notification of the beginning of a nested router function.

Parameters:
  `predicate` - the predicate that applies to the nested router functions
See Also:
  - `RouterFunctions.nest(RequestPredicate, RouterFunction)`

### endNested

void endNested(RequestPredicate predicate)
Receive notification of the end of a nested router function.

Parameters:
  `predicate` - the predicate that applies to the nested router functions
See Also:
  - `RouterFunctions.nest(RequestPredicate, RouterFunction)`

### route

void route(RequestPredicate predicate, HandlerFunction<?> handlerFunction)
Receive notification of a standard predicated route to a handler function.

Parameters:
  `predicate` - the predicate that applies to the handler function
  `handlerFunction` - the handler function.
See Also:
  - `RouterFunctions.route(RequestPredicate, HandlerFunction)`

### resources

void resources(Function<ServerRequest,Optional<org.springframework.core.io.Resource>> lookupFunction)
Receive notification of a resource router function.

Parameters:
  `lookupFunction` - the lookup function for the resources
See Also:
  - `RouterFunctions.resources(Function)`

### attributes

void attributes(Map<String,Object> attributes)
Receive notification of a router function with attributes. The given attributes apply to the router notification that follows this one.

Parameters:
  `attributes` - the attributes that apply to the following router
Since:
  5.3

### unknown

void unknown(RouterFunction<?> routerFunction)
Receive notification of an unknown router function. This method is called for router functions that were not created via the various `RouterFunctions` methods.

Parameters:
  `routerFunction` - the router function